Update a note
X-Api-Key<token>
Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.
In: header
Path Parameters
id*string
Note UUID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/crm/notes/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "businessId": "string", "content": "string", "title": "string", "contentFormat": "string", "isPinned": true, "clientId": "string", "dealId": "string", "meetingId": "string", "authorUserId": "string", "authorUserName": "string", "attachments": [ { "id": "string", "filename": "string", "url": "string", "mimeType": "string", "fileSize": 0 } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}
